import { ContentBlock, ContentState, DraftDecorator } from "draft-js";
declare type Options = {
    /**
     * A function that filters blocks.
     * By default, it is determined by whether `block.getType()` is "code-block" or not.
     */
    filter?: (block: ContentBlock, contentState: ContentState) => boolean;
    /**
     * A function that gets language string.
     * If it is not passed, `block.getData().get("language")` will be used.
     */
    getLanguage?: (block: ContentBlock, contentState: ContentState) => string;
};
/**
 * A function to create a DraftDecorator.
 *
 * usage:
 * ```tsx
 * import { EditorState, CompositeDecorator } from "draft-js";
 * import createPrismDecorator from "draft-js-prism-decorator";
 *
 * const decorators = new CompositeDecorator([createPrismDecorator()]);
 * const editorState = EditorState.createEmpty(decorators);
 * ```
 */
export default function createPrismDecorator({ filter, getLanguage, }?: Options): DraftDecorator;
export {};
//# sourceMappingURL=index.d.ts.map